#ifndef SYSTEM_H
#define SYSTEM_H

#include <string>

class System
{
public:
    static bool init(char * argv[]);
    static void * alloc_pages(int num);
    static void free_pages(void * addr, int num);
    static std::string executable_path();

    static unsigned long page_size;
    static unsigned int page_size_log;
    static unsigned long page_base_mask;
    static unsigned long page_offset_mask;
};

#endif
